personalId. Only include the fields you want to update in the request body.netSalary is provided, it is used as the source of truth for internal calculations and grossSalary is ignored.grossSalary is provided, netSalary is calculated automatically.workingTimePercentage (0 to 1) or weeklyHours (up to 40). Send only one of them.null is a valid value here: it sets the employee back to full-time (100%).email, phone or IBAN values are automatically set to null instead of causing validation errors.curl --location --request PUT 'https://api-public.payflow.es/employee/' \
--header 'authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"payrollId": "E02",
"firstName": "Jane",
"lastName": "Doe",
"iban": "ES0000000000000000001111",
"grossSalary": 1450,
"contractEnd": "2030-06-01",
"status": "on_leave",
"leaveEnd": "2025-06-15",
"weeklyHours": 30
}'{
"statusCode": 404,
"error": "Not Found",
"message": "Employee not found"
}